---
title: MediaStreamTrack.onunmute
slug: Web/API/MediaStreamTrack/onunmute
tags:
  - API
  - Event Handler
  - Media Capture
  - Media Capture and Streams
  - MediaStreamTrack
  - Property
  - Reference
  - WebRTC
  - onunmute
  - unmute
---
<div>{{ APIRef("Media Capture and Streams") }}</div>

<p><span class="seoSummary">{{domxref("MediaStreamTrack")}}'s <code><strong>onunmute</strong></code> event handler is called when the {{event("unmute")}} event is received. Such an event is sent when the track is again able to send data.</span></p>

<p>When the <code>onunmute</code> event handler is called, the track's {{domxref("MediaStreamTrack.muted", "muted")}} flag is <code>false</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>track</em>.onunmute = <em>unmuteHandler</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>unmuteHandler</code> is a function which is called when the <code>MediaStreamTrack</code> receives the {{event("unmute")}} event. The event handler receives as input a single parameter: an {{domxref("Event")}} whose {{domxref("Event.kind", "kind")}} is <code>"unmute"</code>.</p>

<h2 id="Example">Example</h2>

<p>This example creates an <code>unmute</code> event handler which changes the state of a visual indicator to display the Emoji character representing a "speaker" icon.</p>

<pre class="brush: js">myTrack.onunmute = function(evt) {
  playStateIcon.innerHTML = "&amp;#x1F508;";
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediastreamtrack-onunmute', 'MediaStreamTrack.onunmute') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.onunmute")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{event("unmute")}} event and its type, {{domxref("Event")}}.</li>
 <li>{{domxref("MediaStreamTrack.muted")}} to determine if a track is currently muted</li>
 <li>{{domxref("MediaStreamTrack.onmute")}}, the event handler for the {{domxref("mute")}} event.</li>
</ul>
